<?php
require_once $_SERVER['DOCUMENT_ROOT']."/includes/start.php";
if(isset($_SESSION['auth']) and $_SESSION['auth']==1){
echo $_up;

echo '
<a href="?"><b>Кланы</b></a><br><br>
';

switch($_GET['go']){

default:

if(empty($s)){

$s=0;

}

$query = mysql_query("select * from clans where id>0;");

$num_of_rows=mysql_num_rows($query);

$total_mat_number=$num_of_rows;

$max = 20;

$total_ss=ceil($total_mat_number/$max);

$r = mysql_query ("select * from `clans` order by users desc limit ".$s.",".$max.";");

$i = 1+$s;

while($arr = mysql_fetch_array($r)){

$q2 = mysql_query ("select count(id) as num from users where clan='".$arr['id']."';");

$bl2 = mysql_fetch_array($q2);

$num2 = $bl2["num"];


echo '<div class="list" style="border-bottom:1px solid white;"><b>'.($i++).'.</b> <a href="?go=clan_view&amp;cid='.$arr['id'].'">'.$arr['name'].'</a> ('.$num2.'/'.$arr['credits'].')';
if($arr['id']==$usr['clan']){ echo ' (<b>вы участник этого клана</b>)'; }
if($arr['id_user']==$usr['id']){ echo ' (<b>вы лидер</b>)'; }
echo '</div>';
}

echo '<br><br>';

for ($num=0; $num<$total_ss; $num++){

$s_number=$num*$max;

if($s_number!=$s){

echo '<a href="s='.$s_number.'">'.($num+1).'</a> ';

}else{

echo 'Страницы: '.($num+1).' ';

}}


$clans['db'] = mysql_query("select * from `clans`;");
$clans = @mysql_fetch_array($clans['db']);
if($clans['id']!==$usr['clan']){

if($usr['clan']==""){

echo '<br><br><a href="?go=create_clan">Создать клан</a>';

}

}

break;

case 'clan_view':

$cid = $_GET['cid'];

if(eregi("[^0-9]" , $_GET['cid'])){

header ("Location: /clans/?"); exit;

}

$query = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans` WHERE `id`='$cid' LIMIT 1"));
if(!$query){
header ("Location: /clans/?"); exit;
}

$clans=mysql_query("select * from clans where id='$cid' limit 1");
$clan=mysql_fetch_array($clans);
$q2 = mysql_query ("select count(id) as num from users where clan='".$clan['id']."';");
$bl2 = mysql_fetch_array($q2);
$num2 = $bl2["num"];

$lider=mysql_query("SELECT * FROM users WHERE id = $clan[id_user]");
$lider_data = @mysql_fetch_array($lider);

echo '<center><b>'.$clan['name'].'</b> ('.$num2.')<br>'.$clan['about'].'<br>
';

echo '<br>
<img src="/images/clans/'.$clan['logo'].'" alt="Logo"/><br><br>
';

if($cid!==$usr['clan']){

if($usr['clan']==""){

echo 'Для вступления в клан необходимо внести взнос в размере '.$clan['g_credits'].' кредитов!<br><a href="?go=go_clan&amp;cid='.$cid.'">Вступить в клан</a>';

}

}else{

if($usr['clan']==$cid){

if($clan['id_user']==$usr['id']){

echo '<b>!</b> <a href="?go=clan_panel&amp;cid='.$cid.'">clan admin panel</a> <b>!</b><br><br>';

}
///else{

///echo '<small><b>(Вы участник этого клана)<br>
///<a href="?go=out_clan&amp;cid='.$cid.'"><font color="red">Покинуть клан</font></a><br></b></small>';

///}

echo 'Рейтинг клана: '.$clan['rating'].'<br>Счет клана: '.$clan['credits'].'<br>
<a href="?go=take_money_clan&amp;cid='.$cid.'">взять</a>/ <a href="?go=add_money_to_clan&amp;cid='.$cid.'">положить</a><br>
';

}

}



echo '</center><br>';



if(empty($s)){

$s=0;

}

$query = mysql_query("select * from clans where id='$cid';");

$num_of_rows=mysql_num_rows($query);

$total_mat_number=$num_of_rows;

$max = 20;

$total_ss=ceil($total_mat_number/$max);

$r = mysql_query ("select * from `users` where clan='".$cid."' limit ".$s.",".$max.";");

$i = 1+$s;
echo '<table width="100%"><tr>';
while($arr = mysql_fetch_array($r)){

echo '<tr><td valign="top" class="list" width="5%"><b>'.($i++).'.</b></td><td valign="top" class="list" width="20%"><a href="/u'.$arr['id'].'"><b>'.$arr['login'].'</b></a> ('.$arr['posts'].')</td>';

$q1 = @mysql_query("select * from `clans` where id='".$cid."';");

$arr1 = @mysql_fetch_array($q1);

if($arr1['id_user']==$usr['id']){

if($clan['id_user']==$arr['id']){

echo ' <td valign="top" class="list"><small><b><font color="red">(вы лидер клана, вы не можете себя выгнать)</font></b></small></td></tr>';

}else{

echo ' <td valign="top" class="list"><small><b><font color="red"><a href="?go=go_out&amp;id='.$arr['id'].'&amp;cid='.$cid.'">(выгнать)</a></font></b></small></td></tr>';

}

}
}
echo '</table>';

echo '<br><br>';

for($num=0; $num<$total_ss; $num++){

$s_number=$num*$max;

if($s_number!=$s){

echo '<a href="?go=clan_view&amp;cid='.$cid.'&amp;s='.$s_number.'">'.($num+1).'</a> ';

}else{

echo 'Страницы: '.($num+1).' ';

}

}


break;

case 'create_clan':

if($usr['clan']!==""){

echo 'Ошибка!<br>У вас уже есть клан!'; exit;

}

if($usr['credits']<20){

echo 'Ошибка!<br>Для создания кланов необходимо 20 кредов!<br>'; exit;

}

echo '
<form action="?go=create_clanGO" method="post">

<small><b>Название клана:</b></small><br>
<input name="cname"/><br>
<small><b>Взнос на вступление:</b></small><br>
<input name="cg_credits"/><br>
<small><b>Девиз/Описание:</b></small><br>
<textarea name="cabout"/></textarea><br>
<input type="submit" value="OK"/>
</form>
';

break;

case 'create_clanGO':

if($usr['credits']<20){

echo 'Ошибка!<br>Для создания кланов необходимо 20 кредов!<br>'; exit;

}

$cname=$_POST['cname'];
$cabout=$_POST['cabout'];
$cg_credits=$_POST['cg_credits'];
$ctype=$_POST['ctype'];

if(empty($cname)){

echo 'Ошибка!<br>Вы не ввели название клана!'; exit;

}

if(empty($cabout)){

echo 'Ошибка!<br>Вы не ввели описание клана!'; exit;

}

if(empty($cg_credits)){

echo 'Ошибка!<br>Вы не ввели описание клана!'; exit;

}

if($usr['clan']!==""){

echo 'Ошибка!<br>У вас уже есть клан!'; exit;

}



mysql_query( "Insert into clans set id='$idclan', id_user='".$usr[id]."',name='".$cname."',users='', about='$cabout', logo='',g_credits='$cg_credits', credits='1',rating='0',dcreate='".date("d.m в H:i")."'" );

$q2 = mysql_query("select * from `clans` where `name`='".$cname."';");
$last_cl = @mysql_fetch_array($q2);
$idclan = $last_cl['id'];

mysql_query('update `users` set `clan`='.$idclan.' where `id`='.$usr[id].'');
mysql_query('update `users` set `credits`=credits-20 where `id`='.$usr[id].'');

echo 'Успешно!<br>Клан создан!<br>';

break;


case 'go_clan':

$cid_find = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans` WHERE `id`='$cid' LIMIT 1"));
if(!$cid_find){

echo 'Ошибка!<br>Такого клана не существует!'; exit;

}

$q = @mysql_query("select * from `users` where id='$usr[id]';");
$arr = @mysql_fetch_array($q);

if($arr['clan']!==""){

echo 'Ошибка!<br>Вы уже находитесь в клане!'; exit;

}else{

$q = mysql_query("select * from clans where id='".$cid."';");

$data = mysql_fetch_array($q);
$g_credits=$data['g_credits'];
$name = $data['name'];

if($usr['credits']<$g_credits){

echo 'У вас не достаточно денег для взоса!'; exit;

}

if(@mysql_query ("update users set clan='".$cid."' where id='".$usr[id]."';")){

echo '<small><b>Успешно!<br>Вы вступили в клан '.$name.'!</b></small><br>';

mysql_query ("update clans set credits=credits+$g_credits where id='".$cid."';");

mysql_query ("update clans set rating=rating+1 where id='".$cid."';");

mysql_query ("update users set credits=credits-$g_credits where id='".$usr[id]."';");

}

}

break;

case 'out_clan':

if($usr['clan']!==$cid){

echo 'Ошибка!<br>Вы не участник этого клана!'; exit;

}

if($usr['clan']==""){

echo 'Ошибка!<br>Вы не находитесь ни в каком клане!'; exit;

}

$q = mysql_query("select * from clans where id='".$cid."';");

$data = mysql_fetch_array($q);

$name = $data['name'];

mysql_query ("update clans set rating=rating-1 where id='".$cid."';");

if(@mysql_query ("update users set clan='' where id='".$usr[id]."';")){

echo "<b>Вы покинули клан ".$name."!</b><br/>";


}

break;


case 'go_out':

$q = @mysql_query("select * from `clans` where id='".$cid."';");

$arr = @mysql_fetch_array($q);

if ($arr['id_user']!==$usr['id']){

echo 'Ошибка!<br>Вы не глава клана!'; exit;

}

if($id==$usr['id']){

echo 'Ошибка!<br>Ты че твориш? тыж глава клана!!!'; exit;

}

$id_find = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='$id' LIMIT 1"));
if(!$id_find){

echo 'Ошибка!<br>Такого пользователя не существует!'; exit;

}


$q = mysql_query("select * from clans where id='".$сid."';");

$data = mysql_fetch_array($q);

$name = $data['name'];

mysql_query ("update users set clan='' where id='".$id."';");

mysql_query ("update clans set rating=rating-1 where id='".$cid."';");

echo 'Успешно!<br>Пользователь больше не является участником клана!';

break;

case 'add_money_to_clan':

$cid_find = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans` WHERE `id`='$cid' LIMIT 1"));
if(!$cid_find){

echo 'Ошибка!<br>Такого клана не существует!'; exit;

}

if($usr['clan']!==$cid){

echo 'Ошибка!<br>Вы не являетесь участником клана!'; exit;

}

echo '
<form action="?go=add_money_to_clanGO&amp;cid='.$cid.'" method="post">
<small><b>У вас '.$usr['credits'].'<br>Сколько вы хотите положить кредитов:</b></small><br><input name="cr" size="3"/><br>
<input type="submit" value="OK"/>
</form>
';


break;


case 'add_money_to_clanGO':

$cid_find = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans` WHERE `id`='$cid' LIMIT 1"));
if(!$cid_find){

echo 'Ошибка!<br>Такого клана не существует!'; exit;

}

if($usr['clan']!==$cid){

echo 'Ошибка!<br>Вы не являетесь участником клана!'; exit;

}

$cr=$_POST['cr'];

if(empty($cr)){

echo 'Вы не ввели сумму!'; exit;

}

if($cr>$usr['credits']){

echo 'У вас нет столько кредитов!'; exit;

}

if($cr>1000000){

$cr=10000;

}

mysql_query ("update clans set credits=credits+$cr where id='".$cid."';");
mysql_query ("update users set credits=credits-$cr where id='".$usr[id]."';");
mysql_query ("update clans set rating=rating+1 where id='".$cid."';");
mysql_query ("update users set rating=rating+10 where id='".$usr[id]."';");

echo 'Вы успешно положили в счет клана <b>'.$cr.'</b> кредитов!';

break;

case 'take_money_clan':

$cid_find = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans` WHERE `id`='$cid' LIMIT 1"));
if(!$cid_find){

echo 'Ошибка!<br>Такого клана не существует!'; exit;

}

if($usr['clan']!==$cid){

echo 'Ошибка!<br>Вы не являетесь участником клана!'; exit;

}

$clans=mysql_query("select * from clans where id='$cid' limit 1");
$clan=mysql_fetch_array($clans);

$limit=$clan['credits']-1;

echo '
<form action="?go=take_money_clanGO&amp;cid='.$cid.'" method="post">
<small><b>На счету клана '.$clan['credits'].'<br>
Вы можете взять: '.$limit.'<br>
<br>Сколько вы хотите взять кредитов:</b></small><br><input name="take_cr" size="3"/><br>
<input type="submit" value="OK"/>
</form>
';

break;

case 'take_money_clanGO':


$take_cr=$_POST['take_cr'];

$clans=mysql_query("select * from clans where id='$cid' limit 1");
$clan=mysql_fetch_array($clans);

$limit=$clan['credits']-1;

if(empty($take_cr)){

echo 'Введите сумму!'; exit;

}

if($limit<$take_cr){

echo 'Лимит превышен'; exit;

}

if($take_cr>1000000){

$take_cr=10000;

}

mysql_query ("update clans set credits=credits-$take_cr where id='".$cid."';");
mysql_query ("update clans set rating=rating+1 where id='".$cid."';");
mysql_query ("update users set credits=credits+$take_cr where id='".$usr[id]."';");

echo 'Успешно!';

break;

case 'clan_panel':

$cid_find = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans` WHERE `id`='$cid' LIMIT 1"));
if(!$cid_find){

echo 'Ошибка!<br>Такого клана не существует!'; exit;

}

if($usr['clan']!==$cid){

echo 'Ошибка!<br>Вы не являетесь участником клана!'; exit;

}

$clans=mysql_query("select * from clans where id='$cid' limit 1");
$clan=mysql_fetch_array($clans);

if($clan['id_user']!==$usr['id']){

echo 'Вы не лидер клана!<br>Вам сюда вход воспрещен!<br>'; exit;

}

echo '
<form action="?go=clan_panelSET&amp;cid='.$cid.'" method="post">
Название клана:<br>
<input name="cname" value="'.$clan['name'].'"/><br>
Описание клана:<br>
<textarea name="cabout">'.$clan['about'].'</textarea><br>
Взнос на вступление в клан:<br>
<input name="cg_credits" value="'.$clan['g_credits'].'"/><br>
Логотип:<br>
<input name="clogo" value="'.$clan['logo'].'"/><br>
<input type="submit" value="OK"/>
</form>
';


break;

case 'clan_panelSET':

$cid_find = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans` WHERE `id`='$cid' LIMIT 1"));
if(!$cid_find){

echo 'Ошибка!<br>Такого клана не существует!'; exit;

}

if($usr['clan']!==$cid){

echo 'Ошибка!<br>Вы не являетесь участником клана!'; exit;

}

$clans=mysql_query("select * from clans where id='$cid' limit 1");
$clan=mysql_fetch_array($clans);

if($clan['id_user']!==$usr['id']){

echo 'Вы не лидер клана!<br>Вам сюда вход воспрещен!<br>'; exit;

}

$cname=$_POST['cname'];
$cabout=$_POST['cabout'];
$cg_credits=$_POST['cg_credits'];
$clogo=$_POST['clogo'];

mysql_query("UPDATE `clans` SET `name`='".$cname."',`about`='$cabout',`g_credits`='".$cg_credits."',`logo`='".$clogo."' WHERE `id`='$cid' LIMIT 1");

echo 'Успешно!<br>';

break;

}


echo $_down;

}else{

header ("Location: /?"); exit;

}

?>